# Class ObjectArrayColumn

java.lang.Object
uk.ac.starlink.table.ColumnData
uk.ac.starlink.table.ArrayColumn
uk.ac.starlink.table.ObjectArrayColumn

public class ObjectArrayColumn extends ArrayColumn
A column which provides data storage in a java array of objects.

Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`ObjectArrayColumn(ColumnInfo base, Object[] data)`
Constructs a new column backed by a given array of objects.

## Method Summary

### Methods inherited from class ArrayColumn

`getArray, isWritable, makeColumn, makeColumn, makeColumn, readValue, storeValue`

### Methods inherited from class ColumnData

`getColumnInfo, setColumnInfo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectArrayColumn

public ObjectArrayColumn(ColumnInfo base, Object[] data)
Constructs a new column backed by a given array of objects. The `contentClass` of the given base column info must be compatible with the supplied data array; it should be the class of what the array is an array of. Alternatively, the `base` column info may have a `null` content class, in which case the column info for the new column will be set appropriately from the data array.

Parameters:
  `base` - the column info on which to base this column's info
  `data` - an array of primitives or objects which will form the storage for this column
Throws:
  `IllegalArgumentException` - if `data` isn't an array or `base.getContentClass()` is incompatible with `data`